<div class="p-grid p-justify-center p-align-center" *ngIf="showEvents">
    <div class="p-col-12">

        <p-card styleClass="small-events-card">

            <div class="p-grid">

                <div class="p-col-12">
                    <div class="card-list-title">
                        <em class="pi pi-list"></em>
                        <span>{{ lang.getEvents() }}</span>
                    </div>
                </div>

                <div *ngIf="loadingEvents" class="p-col-12 text-center"
                     [style]="{padding: '6rem 0'}">
                    <p-progressSpinner [style]="{width: '2rem', height: '2rem'}"></p-progressSpinner>
                    <div>
                        {{ lang.getLoading() }} {{ lang.getEvents().toLowerCase() }}...
                    </div>
                </div>

                <div class="p-col-12 events-container">
                    <div class="p-grid">
                        <div class="p-col-3 p-nogutter" *ngFor="let event of events">
                            <div class="event" [pTooltip]="event.name" tooltipPosition="top">
                                <p-card>
                                    <div class="p-grid p-nogutter data-event">
                                        <div class="p-col-12 mes-event">
                                            {{ getDayOfWeek(event?.eventDate?.getDay()) }}
                                        </div>
                                        <div class="p-col-12 dia-event">
                                            {{ event?.eventDate?.getDate() }}
                                        </div>
                                    </div>
                                </p-card>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        </p-card>

    </div>
</div>
